Subject: Bug#317848: mp3blaster: Timer display not properly bounds-checked/programmed?

From: grok <[email-masked]>
Date: Mon, 11 Jul 2005 18:58:02 -0400

Package: mp3blaster
Version: 1:3.2.0-6
Severity: normal

(This problem has been around for a little while. Shouldn't have assumed
it was being looked-into):

When playing files that are over an hour in length, the timer/counter on
the right-hand side of mp3blaster now flips over to negative numbers,
and generally counts from different offsets at different times.
I don't remember if it's always happening at the same offset; but for
the file I am listening to right now, it flips negative at 1:05:32.

Because of this out-of-bounds behavior, the display also spills over to
the edge of the screen. The counter will usually go positive again at
some point, but the display will still be messed up (and is it good form
to have the cursor displayed beside the timer for that matter? Might
this be related?)

Besides being incredibly annoying, this bug essentially makes the timer
useless for any files over a certain length.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (998, 'testing'), (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.20
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages mp3blaster depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.4.3-13   GCC support library
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libsidplay1-c102            1.36.59-2    SID (MOS 6581) emulation library
ii  libstdc++5                  1:3.3.5-13   The GNU Standard C++ Library v3
ii  libvorbis0a                 1.1.0-1      The Vorbis General Audio Compressi
ii  libvorbisfile3              1.1.0-1      The Vorbis General Audio Compressi

-- no debconf information